Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Wed, 16 Dec 2020 17:53:37 +0100

>>   > Performance does not degrade when only the two calls of
 >>   > wset_update_mode_line you mentioned are commented out. However, with
 >>   > just commenting out these two instances, I still have a scroll
 >>   > performance problem when scrolling by using the scroll-bars. Could you
 >>   > also identify the instance concerning this?
 >>
 >> I forgot how Emacs precisely handles that.  Maybe Eli can tell.
 >
 > See scroll-bar-toolkit-scroll.  Basically, it calls
 > scroll-up/scroll-down.

Then something else must come into play here.  I don't see where
'scroll-bar-toolkit-scroll' forces a mode line update.

martin